EDIT - bug #7128

NPE in selection dialog
12/07/2017 04:53 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.13

Severity: critical Found in Version: Release 4.13
Description

On adding Members to a PermissionGroup | entered a ™' as wildcard character in the filter textfield of the SelectionDialog and | got
an exception:

see also #7127
Related issues:
Related to EDIT - bug #7127: dangling metacharacter exception in selection di... Closed

Associated revisions

Revision a3870bd6 - 12/11/2017 09:39 AM - Katja Luther

fix #7127: fix NPE and dangling meta character in selection dialogs

History

#1 - 12/07/2017 04:56 PM - Andreas Kohlbecker

- Description updated

- Priority changed from New to Highest

- Target version changed from Unassigned CDM tickets to Release 4.13

- Severity changed from normal to critical

This is highly critical since this happens also when attemting to add a Group to a user, it impossible to manage user and groups!

#2 - 12/07/2017 05:15 PM - Katja Luther

- Assignee changed from Andreas Miiller to Katja Luther

#3 - 12/11/2017 09:41 AM - Katja Luther

should be fixed now, please review

#4 - 12/11/2017 11:53 AM - Andreas Miiller

- Related to bug #7127: dangling metacharacter exception in selection dialog added

#5 - 12/11/2017 11:55 AM - Katja Luther

- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Kohlbecker

#6 - 12/11/2017 12:07 PM - Andreas Kohlbecker

- Status changed from Resolved to Closed

This is definitely fixed now!

#7 - 12/11/2017 12:08 PM - Andreas Kohlbecker

- % Done changed from 0 to 100
